/*
Copyright 2016-17 Pierre Marijon

    This file is part of FastQt.

    FastQt is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FastQt is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FastQt.  If not, see <http://www.gnu.org/licenses/>.

    @author : Pierre Lindenbaum from FastQC <http://www.bioinformatics.babraham.ac.uk/projects/fastqc/>
    @author : Sacha Schutz <sacha@labsquare.org>
    @author : Pierre Marijon <pierre@marijon.fr>
*/

#include "sequence.h"

qreal Sequence::gc_percent() const
{
    long nb_gc = 0;

    for(auto nuc : mSequence)
    {
        // When sequence is add is capitalized
        if(nuc == 'G' || nuc == 'C')
            nb_gc++;
    }

    return nb_gc/(double)size()*100;
}

bool Sequence::isValid() const
{
    return (sequence().length() == quality().length()) && (id().startsWith('@'));
}
